'Egy BASIC mintaprogram a PICPLC1 panelere.     16f1937
'      Futfny
'Nyomjunk a CS2 csatlakozra egy 8 ledes panelocskt.
'A CS2 csatlakozra az RB.0 - RB.5 s az RE0, RE.1 portok vannak kivezetve. 
'Ezek fogjk ki/bekapcsolgatni a LEDeket
'A program egy 16 elemes "tmbbl" szedi ki szp sorban az adatokat.
'Aztn a 8 bites adatot kiosztja az RB s RE port megfelel bitjeibe 

' Elszr is pr konfigurcis - fuse - bit
' Bels oszcilltor - nem kell kvarc - s a kdvdelem bekapcsolva
' Nem akarunk PLL rajel gyorstst, s alacsonyfeszltsg programozst
 #CONFIG
    __config _CONFIG1, _FOSC_INTOSC & _CP_ON
    __config _CONFIG2, _PLLEN_OFF & _LVP_OFF
 #ENDCONFIG

    OSCCON = %01101010   ' Belltom 4 megra a bels rajelet

' Konfigurljuk a portokat. Teht hogy melyik kivezetseket akarjuk digitlis, vagy 
' analg portnak hasznlni. 
' Akr 14 lb hasznlhat analg bemenetnek, de most minden lbat digitlis portnak akarunk.

   ANSELA = %00000000    ' porta mind digitlis
   ANSELB = %00000000    ' portb mind digitlis
   ANSELD = %00000000    ' portd mind digitlis
   ANSELE = %00000000    ' porte mind digitlis
 
' Bekapcsoljuk a PORTB bels felhz ellenllsait, s Timer0 belltsa:   
   OPTION_REG = %01010101 

    TRISB = %00000000	' A PORTB0-7 output
    TRISD = %00000000   ' PORTD 0-7 output
	TRISE = %00000000	' A PORTE.0 PORTE.1 s PORTE.2 output

		' Helyet foglalunk a vltozoknak a mikrokontroller RAM-jaban   
    
    index VAR byte
    ledek VAR byte
    adat VAR byte[16] 'Csinlunk egy 16 elemes adat sort, tmbt
   
    adat[1]  = %10000000   ' Az adattmb
    adat[2]  = %01000000   ' bitenknt megadjuk, melyik LED gyjtson majd be
    adat[3]  = %00100000
    adat[4]  = %00010000
    adat[5]  = %00001000    
    adat[6]  = %00000100
    adat[7]  = %00000010
    adat[8]  = %00000001    
    adat[9]  = %00000011
    adat[10] = %00000111
    adat[11] = %00001111
    adat[12] = %00011111
    adat[13] = %00111111
    adat[14] = %01111111
    adat[15] = %11111111
    adat[16] = %00000000
    
main:   
   
   for index = 1 to 16     'Ez egy "ciklus". Egyms utn beolvassuk a 16 elemet
        ledek = adat[index]  'A "ledek" bjtba rakjuk az pp soron lv adat tmb tagot
                          'A 8 bites "ledek" vltoz 8 bitjt kiosztjuk az RB, RE portokra:      
        PORTB.0 = ledek.0 : PORTB.1 = ledek.1 : PORTB.2 = ledek.2 : PORTB.3 = ledek.3
        PORTB.4 = ledek.4 : PORTB.5 = ledek.5 : PORTE.0 = ledek.6 : PORTE.1 = ledek.7 
        pause 1000  ' 1 msodpercig tart ez az llapot.
    next index      ' s jhet a kvetkez...
 
    goto main       ' Ha lefutott a ciklus, ugrs vissza az elejre!
    
    END				' Itt a progi vege. 
