'Csinljunk egy idalapot!
'A BASIC delay utastsval tudunk idztseket csinlni, de ilyenkor "megll" a program
'Ha egy pontos idalapra van szksgnk, akkor fel kell programoznunk a PIC mikrokontroller 
'valamelyik beptett timer perifrijt. Esetnkben ez most a TIMER2 lesz.
'Ez a timer aztn szablyos idkzkben "megszaktst kr",  

'Config - fuse bit - bellts
'A proci beptett rajelgenertort hasznlom - INTOSC - s kdvdelem - CP - kikapcsolva
'A PLL rajel ngyszerez, s az alacsonyfeszltsg programozs - LVP - kikapcsolva. 
#CONFIG             
    __config _CONFIG1, _FOSC_INTOSC & _CP_OFF
    __config _CONFIG2, _PLLEN_OFF & _LVP_OFF 
#endCONFIG
' Ha pontos idmrs kell, akkor persze akasszunk a procira egy 4 megs kvarcot, s akkor  
' ez legyen az els konfig sor:    __config _CONFIG1, _FOSC_XT & _CP_OFF

    OSCCON = %01101010   ' Belltom 4 megra a bels rajelet



' OPTION_REG 7. = 0 bels felhzk engedlyezve, 6. = 1 felfut l, 5.=0 forrs fosc/4, 
'            4. = 0, 3.= 0 eloszt bekapcsolva, 2.-1.-0. elszt  
'                76543210   		   
   OPTION_REG = %01010101 

' INTCON: 7.ltalnos megszakts engedlyezs, 6.perifria megszakts tiltva, 
'         5.=1 timer0 tlcsorduls megszakts engedlyezve   
'             76543210
    INTCON = %10100000 			
	'INTCON = $a0 		' Enable TMR0 interrupts

      On Interrupt Goto tickint




' Akr 14 lb hasznlhat analg bemenetnek, de most minden lbat digitlis portnak akarunk.

   ANSELA = %00000000    ' porta mind digitlis
   ANSELB = %00000000    ' portb mind digitlis
   ANSELD = %00000000    ' portd mind digitlis
   ANSELE = %00000000    ' porte mind digitlis

'Elszr is kzljk a programmal, hol tallja az LCD-t, es hogyan akarjuk vezrelni:
 
	DEFINE LCD_DREG 	PORTD ' Az LCD adatvezetket a D portrol vezreljk
	DEFINE LCD_DBIT 	0	' Az els adatvezetk az RD port 0. tagja. (Az RD0)
	DEFINE LCD_RSREG 	PORTD ' Az LCD Register Select kivezetse a D portra csatlakozik,
	DEFINE LCD_RSBIT 	4	' mgpedig az RD4 labra. (Tehat az LCD RS - az RD4 porton van.)
	DEFINE LCD_EREG 	PORTD ' Az enable vezerl bit is a D porton,
	DEFINE LCD_EBIT 	5	' az RD5 portra van kiosztva. (LCD EN - RD5 port.)
	DEFINE LCD_BITS 	4	' a 4 bites uzemmodot vlasztjuk,
	DEFINE LCD_LINES 	2	' es 2 soros az LCD

	TRISA = %00001111	' A PORTA0-3 input, a PORTA 4-7 output
	TRISB = %00000000	' A PORTB0-7 output
	TRISC = %00111100	' A PORTC 2-5 input, a PORTC 0-1 s 6-7 output


	PIROSLED var PORTB.7   ' A ktszn LED piros fele
	ZOLDLED var PORTB.6    ' A ktszn LED zld fele
    LED var PORTA.4   ' Az L2 LED
    
    RELE var PORTA.5
    
	' Konfigurljuk a PORTA-t. Teht hogy melyik kivezetseket akarjuk digitlis, vagy 
	' analg portnak hasznlni. 
	' Ezeket az ADCON1 regiszterbe tlttt adat fogja meghatrozni. 
	' Szval most a PORTA0-7 mind mint digitlis port legyen hasznlva.
	
	ADCON1 = %00000110	' Az ADCON1 regiszter 

  	PERC var Byte
    MP var Byte
    ORA var Byte
    tiktak var Byte 
  	MPBIT var BIT
    
	
			

    
nullaz: 
    ORA = 0 
    PERC = 0  
	MP = 0
    tiktak = 0
     
main:
   
    if MPBIT THEN    ' Ha az "eltelt egy msodperc" jelz bit 1, akkor:
        LCDOUT $fe,$80,"Ora: ",DEC2 ORA," Perc: ",dec2 PERC ' LCD trles, es irs az els sorba
        LCDOUT $fe,$C0,"Masodperc: ",DEC2 MP   ' a msodik sorba a msodperceket rjuk ki
        toggle PIROSLED  ' tkapcsoljuk a LED llapott.
        ZOLDLED = not PIROSLED   ' A zld led ellenttes temben villogjon
        toggle LED ' villogjon az L2 LED is !
        MPBIT = 0        ' s leoltjuk a jelzbitnket
    endif        
    
    goto main    
   
'Szval ha 4 megs a kvarc, akkor az fosc/4 ugye 1.000.000 Hz. Az elosztval ezt osztjuk 64-el. 
'Teht 15625 Hz-es jel lpteti a TMR2 szmllt, s 250 lps utn lesz azonos az rtke a PR2-vel.
'Ekkor 1-be ugrik a PIR1.1 nev bit. Ezzel egy jabb 250-es osztst tudtunk csinlni.
'A 6250/250=25 Hz. Szval ez msodpercenknt 25-szr fog megtrtnni. Vagy 40 millisecundumonknt, ahogy tetszik.     
'Szval mg egy 25-s oszts, s meg van az htott 1 msodperces idalapunk. Na teht:


        Disable		' Disable interrupts during interrupt handler

tickint: tiktak = tiktak + 1      ' Count pieces of MPs

    TMR0 = 130      ' 125-s osztst akarok. A timer0-ba 255-125 = 130-at tltk
    If tiktak < 125 Then timerexit       ' 

        tiktak = 0  ' kezdjk ellrl a szmolst	     '       
        
 
        MP = MP + 1 ' s nveljk a msodpercek szmt       
        MPBIT = 1   ' van egy "eltelt egy msodperc" jelz bitnk, azt is bebillentjk
                
	   If MP >= 60 Then  ' ha elrte a msodpercek szma a 60-at, akkor
                PERC = PERC + 1  'nveljk eggyel a percek szmt
                MP = 0           'msodperceket pedig nullzzuk
 
	       If PERC >= 60 Then   ' ha elrte a percek szma a 60-at, akkor
                ORA = ORA + 1 ' eggyel lptetjk az ra szmllt
		        PERC = 0      ' a percszmllt meg nulzzuk
                        If ORA >= 24 Then  'Ha az rk szma mr 24 lenne, 
                                ORA = 0    'akkor nullzzuk
                        Endif
           Endif
        Endif
    timerexit: 
        INTCON.2 = 0    ' Reseteljk a timer0 "tlcsorduls" megszakts jelz bitet
        Resume

    'endif
    
    END				' Itt a progi vege. 	

